import json
import requests
from mlstmyfasta.engine.data import MLST
from mlstmyfasta.engine.external.databases.institutpasteur.structures import SequenceRequestBody
from mlstmyfasta.engine.external.databases.institutpasteur.structures import SequenceResponse

async def query_fasta_mlst_profile(database: str, request_body: SequenceRequestBody):
    url: str = f"https://bigsdb.pasteur.fr/api/db/{database}/mlst/sequence"
    request_result = requests.post(url, json=json.dumps(request_body), timeout=10000)
    seq_result: SequenceResponse = request_result.json()
    result = list()
    for exact_match in seq_result.exact_matches:
        result.append(MLST.Allele())